메인 콘텐츠로 건너뛰기
GET
/api/v1/characters

실험적 엔드포인트

이것은 실험적 엔드포인트이며 변경될 수 있습니다.

Postman 컬렉션

추가 예제는 이 Postman 컬렉션을 참조하세요.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

쿼리 매개변수

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
예시:
isAdult
enum<string>

Filter by adult content flag

사용 가능한 옵션:
true,
false
예시:

"false"

isPro
enum<string>

Filter to only show characters using pro models

사용 가능한 옵션:
true,
false
예시:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

사용 가능한 옵션:
true,
false
예시:

"true"

limit
integer
기본값:50

Number of characters to return (max: 100)

필수 범위: 0 < x <= 100
예시:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
예시:
offset
integer | null
기본값:0

Number of characters to skip for pagination

필수 범위: x >= 0
예시:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
예시:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

사용 가능한 옵션:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
예시:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

사용 가능한 옵션:
asc,
desc
예시:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
예시:

응답

OK

data
object[]
필수
object
enum<string>
필수
사용 가능한 옵션:
list